commit:     0e2434d584164ba4a621c30bd612c2559ff96b3c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 22 04:35:46 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun 22 05:33:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e2434d5

dev-python/cfn-lint: Bump to 1.3.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cfn-lint/Manifest              |  1 +
 dev-python/cfn-lint/cfn-lint-1.3.3.ebuild | 65 +++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index f6577b28ce24..fbb7e76315b2 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -4,3 +4,4 @@ DIST cfn_lint-0.87.6.tar.gz 4076995 BLAKE2B 
57a5d598d2725851d1a59094bda249b32f74
 DIST cfn_lint-0.87.7.tar.gz 4077539 BLAKE2B 
d7382b8112332821988854f719a2965749b5cb4cda3cbe3d1e7c5851d8b758f4136218ef151bc3983bf94b8e8a3d33989f987bf0162f4dfdaac8333ae798e049
 SHA512 
8c3f4c840100b407cacfd788722ceb980f8409180f80f76b722cb5efa237444a2d38f8e2e17c5763d9d1adcf9471f57b4d9d58f2a793b0b80f8e0c988820411d
 DIST cfn_lint-1.3.0.tar.gz 2425129 BLAKE2B 
7ae63c4c3c1959070ab74fc26751d7ea8b739f6ab5b2fe49a7b000d3239f27d9bf71ddeeedd4cc380dbd603a42a77949c91877428f43de0fd9f1cdac68bfb88f
 SHA512 
a4b9af0ae4d4da276f2239d7efc6e96d0ad37a8133b079d53fe4f82d074e74c251d0791a4a07ac35730192e3bf29a3a2ab86a27a7fff5440f52f18200831ea2f
 DIST cfn_lint-1.3.2.tar.gz 2485054 BLAKE2B 
524d81285a90fb32380cf157150257cc3daa6bf0c584b3fcb628e956fbf6b0f3f1876401bedbeb20f8541e82131d56984b13f63e1a1af3c398bce16460794d9c
 SHA512 
e237ffa10037dd724ee01d5687d37114e74a889e0afee1181671363552c7444ea3cb7433326565b0905bcaa8cb2205aad06dcc3f87fd11c9a6048f8aa7c7f3cf
+DIST cfn_lint-1.3.3.tar.gz 2474929 BLAKE2B 
d5c8685e48739b178a1ab222b90a31626fffc9dfa91e9fbac6554d33d559a675ef50a2670c00a750aeac057777d29ac6a95526829862794ac289d30d53e268ec
 SHA512 
726e96d4b5fa7e3446382cd8050dc99dce1cb848f7a11f5d1795c5a1a408b1d9e9148f7e3aea7887ebb361b1fd597c434ca0fbbf6a31631d8ac021aaf522427f

diff --git a/dev-python/cfn-lint/cfn-lint-1.3.3.ebuild 
b/dev-python/cfn-lint/cfn-lint-1.3.3.ebuild
new file mode 100644
index 000000000000..fef826927bf5
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-1.3.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+       https://github.com/aws-cloudformation/cfn-lint/
+       https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/aws-sam-translator-1.89.0[${PYTHON_USEDEP}]
+       dev-python/jsonpatch[${PYTHON_USEDEP}]
+       >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+       <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+       dev-python/junit-xml[${PYTHON_USEDEP}]
+       <dev-python/networkx-4[${PYTHON_USEDEP}]
+       >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+       >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+       >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+       >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin the deps
+       sed -e 's:~=[0-9.]*::' -i pyproject.toml || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # TODO
+               
test/unit/module/test_template.py::TestTemplate::test_build_graph
+               # requires git repo
+               
test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+               # Internet
+               
test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+               
test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+               # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+               test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+               
test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+               
test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+               
test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+               # different graphviz version?
+               
test/unit/module/template/test_template.py::TestTemplate::test_build_graph
+       )
+
+       # from tox.ini
+       local -x AWS_DEFAULT_REGION=us-east-1
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}

Reply via email to